# Interface IRWSPromptStreamExecutor

interface IRWSPromptStreamExecutor {
promptStream: ((prompt, read, end, debugVars?) => Promise<RWSPrompt>);
}

- Defined in src/models/prompts/_prompt.ts:53

#####
Index

### Properties

promptStream

## Properties

### promptStream

promptStream: ((prompt, read, end, debugVars?) => Promise<RWSPrompt>)

#### Type declaration

- - (prompt, read, end, debugVars?): Promise<RWSPrompt>

  - #### Parameters

    - ##### prompt: RWSPrompt

    - ##### read: ((chunk) => void)

      - - (chunk): void

        - #### Parameters

          - ##### chunk: ILLMChunk

          #### Returns void

    - ##### end: (() => void)

      - - (): void

        - #### Returns void

    - ##### `Optional` debugVars: any

    #### Returns Promise<RWSPrompt>

- Defined in src/models/prompts/_prompt.ts:54

Generated using TypeDoc